商品発注点一覧取得
GET
/stores/{store_id}/product_order_points
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/stores/example/product_order_points';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/stores/example/product_order_points \ --header 'Authorization: Bearer <token>'商品店舗別発注点一覧を取得します。
リテールビジネスプランでご利用できる在庫アラート機能では、商品の在庫が発注点の値以下になると発注を促すための各種通知を行うことができます。
※ 在庫アラート機能については詳しくはヘルプサイトをご覧ください。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
店舗ID
※ ユーザーアクセストークンを利用する場合、ユーザーの所属する店舗IDを指定してください。
Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
productId:商品ID
limit
integer
上限数
page
integer
ページ
Responses
Section titled “Responses”取得成功
Media typeapplication/json
商品店舗別発注点
Array<object>
商品店舗別発注点
object
productId
商品ID:数字15桁以内。
指定店舗に対して発注点が設定されている商品の場合、そのIDが返ります。
指定店舗に対して発注点が未設定の商品の場合、そのIDの要素はレスポンスの配列には含まれません。
string
storeId
店舗ID:数字9桁以内。
string
orderPoint
発注点:指定店舗に対して発注点が設定されている商品の場合、その発注点の値が返ります。
integer
updDateTime
設定日時:更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "productId": "string", "storeId": "string", "orderPoint": 123456789, "updDateTime": "string" }]